Frequently Asked Questions
==========================

## Where do I start?

1. Create a resume in FRESH or JSON Resume format. (That is, JSON).

2. Ideally, enroll your resume into version control.

3. Optionally [install additional themes](#how-do-i-install-more-themes).

4. Run `hackmyresume BUILD <INPUTS> TO <OUTPUTS> -t <THEME>` where `<INPUTS>` is
the path to your FRESH or JRS resume, `<OUTPUTS>` is the path to the destination
resume you want created, and `<THEME>` is either a) the name of a predefined HMR
theme or b) the path to an existing HMR or JSON Resume theme.

    For example:

    ```
    hackmyresume BUILD resume.json TO out/resume.all -t modern
    ```
5. Check the output folder for your built resumes.

## How do I install more themes?

HackMyResume supports both [FRESH][fresh-themes] and [JSON Resume][jrst]-style
résumé themes.

- FRESH themes currently come preinstalled with HackMyResume.
- JSON Resume themes can be installed from NPM, GitHub, or manually.

To install a JSON Resume theme, just `cd` to the folder where you want to store
your themes and run one of:

```bash
# Install with NPM
npm install jsonresume-theme-[theme-name]

# Install with GitHub
git clone https://github.com/[user-or-org]/[repo-name]
```

Then, when you're ready to generate your resume, just reference the location of
the theme folder as you installed it:

```bash
hackmyresume BUILD resume.json TO out/resume.all -t node_modules/jsonresume-theme-classy
```

Note: You can use install themes anywhere on your file system. You don't need a
package.json file. NPM and git are just delivery mediums.

## Where can I find more resume themes?

As of v1.3.0, HackMyResume supports local generation of all FRESH/FRESCA and
JSON Resume themes. FRESH themes are installed by default (there's only a
handful of them). JSON Resume themes can be installed as follows:

- Run `npm install jsonresume-theme-[themename]` for JSON Resume themes that are
published on NPM.
- Run `git clone` as normal for JSON Resume themes that are published on GitHub.
- Manual download also works.

To see a (somewhat) complete listing of JSON Resume themes, [click here][jrst].

## How do I apply a FRESH theme?

FRESH themes currently come preinstalled with HackMyResume. You can apply a
FRESH theme to your resume by specifying the theme's name in the `-t` parameter
to the `BUILD` command:

`hackmyresume BUILD resume.json TO out/resume.all -t positive`

## How do I apply a JSON Resume theme?

First, install the JSON Resume theme you want to use, then specify it's location
in the `-t` parameter to HackMyResume:

1. Install the theme as described above.
2. Run `hackmyresume BUILD <sources> TO <targets> -t <path-to-installed-theme>`.

You can use both FRESH and JSON Resume-format resumes with JSON Resume themes.
You can use both FRESH and JSON Resume-format resumes with FRESH themes.

## How do I create my own theme?

The easiest way to do so:

- **To create a new FRESH theme**, copy the [modern][mod] or [compact][com]
theme to a sibling folder, make your changes, and reference the new theme name
when you build your resume.
- **To create a new JSON Resume theme**, copy the bootstrap theme, make your
changes, and install it locally somewhere.

## What does "local-only" or "local generation" mean?

HackMyResume performs all resume generation, validation, and analysis locally.
It doesn't quietly submit your resume data to a remote server or attempt to dial
home.

## What's the difference between FRESH/FRESCA and JSON Resume?

Two different but similar ways of storing resume data as a clean JSON document.
JSON Resume is a nascent resume standard; FRESH/FRESCA is a cruft-free utility
format intended to allow conversion between other formats (including JSON
Resume).

HackMyResume supports resume generation, validation, and conversion of both
formats.

[jrst]: https://www.npmjs.com/search?q=jsonresume-theme
[fresh-themes]: https://github.com/fluentdesk/fresh-themes
[mod]:
[com]:
