## 1.5.0

### Added

- HackMyResume now supports **CLI-based generation of PDF formats across
multiple engines (Phantom, wkhtmltopdf, etc)**. Instead of talking to these
engines over a programmatic API, as in prior versions, HackMyResume 1.5+ speaks
to them over the same command-line interface (CLI) you'd use if you were using
these tools directly.

- HackMyResume will now (attempt to) **generate a PDF output for JSON Resume
themes** (in addition to HTML).

- Minor README and FAQ additions.

### Changed

- **Cleaner, quicker installs**. Installing HackMyResume with `npm install
hackmyresume -g` will no longer trigger a lengthy, potentially error-prone
install for Phantom.js and/or wkhtmltopdf for PDF support. Instead, users can
install these engines externally and HMR will use them when present.

- Minor error handling improvements.

### Fixed

- Fixed an error with generating specific formats with the `BUILD` command (#98).

- Fixed numerous latent/undocumented bugs and glitches.

## 1.4.0

### Added

- **Project support**: FRESH resumes and themes can now store and display
open source, commercial, private, personal, and creative projects.
- **New command: ANALYZE**. Inspect your resume for gaps, keyword counts, and
other metrics.
- **Side-by-side PDF generation** with Phantom and wkhtmltopdf. Support for PDF
generation through PhantomJS (compliments existing wkhtmltopdf support). Use the
`--pdf` or `-p` flag to pick between `phantom` and `wkhtmltopdf` generation.
- **Inherit formats between themes**. Themes can now inherit formats (Word,
  HTML, .txt, etc.) from other themes. (FRESH themes only.)
- **Rename resume sections** to different languages or wordings.
- **Specify complex options via external file**. Use with the `-o` or `--opts`
option.
- **Disable colors** with the `--no-color` flag.
- **Theme messages and usage tips** instructions will now appear in the default
HackMyResume output for the `build` command. Run `hackmyresume build resume.json
-t awesome` for an example. Turn off with the `--no-tips` flag.

### Fixed

- Fixed a minor glitch in the FRESCA schema.
- Fixed encoding issues in the `Highlights` section of certain resumes.
- Fix behavior of `-s` and `--silent` flags.

### Changed

- PDF generation now defaults to Phantom for all platforms, with `wkhtmltopdf`
accessible with `--pdf wkhtmltopdf`.
- Resumes are now validated, by default, prior to generation. This
behavior can be disabled with the `--novalidate` or `--force` switch.
- Syntax errors in source FRESH and JSON Resumes are now captured for all
commands.
- Minor updates to README.
- Most themes now inherit Markdown and Plain Text formats from the **Basis**
theme.

### Internal

- Switched from color to chalk.
- Command invocations now handled through commander.js.
- Added extensible inspector/analyzer framework. Write your own resume analysis
code in 10-20 lines.
